View Issue Details

IDProjectCategoryView StatusLast Update
0001982WishesMacropublic2014-10-02 16:57
ReporterMaximusAssigned Tovskirdin 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0001982: Получить настройки фара в макросе: Far.Cfg.Get
DescriptionНаверное так
Far.Cfg.Get("<Key>","<Name>")
Key и Name, как в General.db, например
Far.Cfg.Get("Interface","ShowMenuBar")

Возвращает соответственно value из General.db, строку или число

Colors\CurrentPalette наверное игнорировать, там свой формат, что с него макросу...
TagsNo tags attached.
Build2954

Relationships

related to 0002705 closedshmuel Wishes.Plugins Far.GetConfig (на замену Far.Cfg_Get) 

Activities

vskirdin

2012-01-13 10:19

administrator   bugnote:0008397

Обработка ошибок?
Что будет возвращать функция, если что-то пошло не так (нет такого key или name)?
Пустую строку? - допустимое значение
-1? - допустимое значение
Any? - допустимое значение

Видимо, нужно константу-спутник добавить, например, Far.Cfg.Err.
Far.Cfg.Err == 0 - Far.Cfg.Get() вернул корректное значение
Far.Cfg.Err == 1 - нет такого Key
Far.Cfg.Err == 2 - нет такого Name
Far.Cfg.Err == -1 - внутренние проблемы
Она же, эта константа, будет полезна и для будущего Far.Cfg.Set()

ы?

vskirdin

2012-01-13 10:40

administrator   bugnote:0008399

Хотя, к черту - пусть Far.Cfg.Err будет 0 или 1: овчинка не стоит выделки...

Вопрос.
Читаем из базы или берем внутреннее (читай "актуальное") состояние (ранее прочитанные данные)?

Maximus

2012-01-13 10:46

reporter   bugnote:0008401

Я хотел актуальные. Но может так?
Far.Cfg.Get("<Key>","<Name>"[,Original])
Если Original нету или 0 - то актуальные, 1 - из базы.

DrKnS

2012-01-13 11:15

administrator   bugnote:0008402

Зачем вам НЕактуальные настройки?

Maximus

2012-01-13 11:19

reporter   bugnote:0008403

В данный момент - не зачем.

vskirdin

2012-01-13 11:37

administrator   bugnote:0008404

пробуем:
http://skirda-file.googlecode.com/files/mantis0001982.1.7z
V=Far.Cfg.Get(Key,Name[,FromDB])
+ константа Far.Cfg.Err

Maximus

2012-01-13 11:47

reporter   bugnote:0008405

ok, работает вроде

alexy

2012-01-13 12:06

administrator   bugnote:0008406

Валя, не всё что просят надо делать. Шо за фигня этот FromDB?

vskirdin

2012-01-13 12:24

administrator   bugnote:0008407

Last edited: 2012-01-13 12:25

View 2 revisions

Это прототип :-)

Есть проблема: в CFG[] "не все переменные учтены".
Я, естественно, уберу 3-й параметр, но после того, как всё будет факторизировано в одном месте (в CFG[])... (тогда же и патч официальный выпушу по этому Инцу).
Иначе придется заниматься дублированием кода и прочей ересью...

alexy

2012-01-13 12:47

administrator   bugnote:0008408

Не, не надо его добавлять вообще пофиг какая причина. Внутреняя кухня наружу выходить не должна.

vskirdin

2012-01-13 16:31

administrator   bugnote:0008413

build 2372

vskirdin

2012-01-16 11:26

administrator   bugnote:0008429

Если какие-то данные из General не отдаются этой функцией - свистите... (это про CFG[])

JohnDoe

2012-02-13 18:31

updater   bugnote:0008556

>Зачем вам НЕактуальные настройки?
Вопрос философский: Как по мне, то настройки должны вообще сохраняться в момент применения. Но коль у нас не так, то ...

DAtaMan

2012-03-14 19:52

reporter   bugnote:0008765

Last edited: 2012-03-14 19:54

View 3 revisions

Far.Cfg.Get("System.KnownIDs", "Network") и Far.Cfg.Get("System.KnownIDs", "EMenu")
неприлично выглядят

vskirdin

2012-03-15 10:55

administrator   bugnote:0008767

build 2549

DAtaMan

2012-04-16 10:17

reporter   bugnote:0008904

>zg 13.04.2012 19:36:08 +0200 - build 2612
>1. Far.Cfg.Get отдаёт только публичные настройки.

Откатите изменения, пожалуйста.
Это же был единственный простой способ получить ряд настроек.
Ведь всё равно эта макрокоманда для большинства бесполезна - исходники и techinfo не изучаются.

Issue History

Date Modified Username Field Change
2012-01-13 02:17 Maximus New Issue
2012-01-13 10:19 vskirdin Note Added: 0008397
2012-01-13 10:40 vskirdin Note Added: 0008399
2012-01-13 10:46 Maximus Note Added: 0008401
2012-01-13 11:15 DrKnS Note Added: 0008402
2012-01-13 11:19 Maximus Note Added: 0008403
2012-01-13 11:37 vskirdin Note Added: 0008404
2012-01-13 11:47 Maximus Note Added: 0008405
2012-01-13 12:06 alexy Note Added: 0008406
2012-01-13 12:24 vskirdin Note Added: 0008407
2012-01-13 12:25 vskirdin Note Edited: 0008407 View Revisions
2012-01-13 12:47 alexy Note Added: 0008408
2012-01-13 16:31 vskirdin Note Added: 0008413
2012-01-13 16:31 vskirdin Assigned To => vskirdin
2012-01-13 16:31 vskirdin Status new => feedback
2012-01-16 11:26 vskirdin Note Added: 0008429
2012-02-13 18:31 JohnDoe Note Added: 0008556
2012-03-14 19:52 DAtaMan Note Added: 0008765
2012-03-14 19:52 DAtaMan Note Edited: 0008765 View Revisions
2012-03-14 19:54 DAtaMan Note Edited: 0008765 View Revisions
2012-03-15 10:55 vskirdin Note Added: 0008767
2012-04-16 10:17 DAtaMan Note Added: 0008904
2013-02-03 04:33 alexy Severity minor => feature
2014-10-02 16:56 shmuel Relationship added related to 0002705
2014-10-02 16:57 shmuel Build => 2954
2014-10-02 16:57 shmuel Status feedback => closed
2014-10-02 16:57 shmuel Resolution open => fixed
2014-10-02 16:57 shmuel Fixed in Version => 3.0